Help Center

Supported QuickBooks Desktop & OS Versions for TallieConnect

Follow

This article provides the supported versions of QuickBooks Desktop and operating systems for TallieConnect.

QB & OS versions supported:

  • QuickBooks 2018 (all versions, including Pro, Premier, Enterprise Solutions, and Accountant) on Windows 7, 8, and 10
  • QuickBooks 2017 (all versions, including Pro, Premier, Enterprise Solutions, and Accountant) on Windows 7, 8, and 10
  • QuickBooks 2016 (all versions, including Pro, Premier, Enterprise Solutions, and Accountant) on Windows 7, 8, and 10*
  • QuickBooks 2015 (all versions) on Windows 7, 8, and 10*
  • QuickBooks 2014 (all versions) on Windows 7 and 8

Windows Vista, Windows XP, QB 2013 and earlier, Mac OS and QB for Mac are not supported. 

*During our initial testing we did not find any major issues when using TallieConnect with QB 2015 or newer on Windows 10. If you have already updated to Windows 10 and are experiencing issues with QuickBooks, refer to this Intuit article.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments